---

# The docker engine's directory (passed to dockerd's --graph option)
# should ideally live on its own, fast, partition.
#
# NOTE: changing this on an existing host will cause it to lose all containers
# (running and not) and images, essentially starting from scratch.
# Running containers will likely be left orphaned. In short, make
# sure to `docker stop` all containers, and save any state you depend
# on before changin this. If needed, you can `docker export` the container
# before running the playbook, and then `docker import` afterwards.
docker_dir: /var/lib/docker

# https://docs.docker.com/engine/userguide/storagedriver/selectadriver/
# overlay2 gives us signficantly better performance than aufs and doesn't
# require its own partition/fs like btrfs (which is also less stable)
#
# NOTE: changing this on an existing host will cause it to lose all containers
# (running and not) and images, essentially starting from scratch.
# Running containers will likely be left orphaned. In short, make
# sure to `docker stop` all containers, and save any state you depend
# on before changin this. If needed, you can `docker export` the container
# before running the playbook, and then `docker import` afterwards.
docker_storage_driver: overlay2

# Set docker_world_usable to yes/true if you want anyone on the host to be able
# to use docker. Note that this is considered a security risk as you're essentially
# giving everyone root access to the system.
# https://docs.docker.com/engine/security/security/#linux-kernel-capabilities
docker_world_useable: no

docker_compose_version: 1.9.0
# curl -L "https://github.com/docker/compose/releases/download/1.9.0/docker-compose-Linux-x86_64" | sha256sum
docker_compose_checksum: "sha256:eeca988428d29534fecdff2768fa2e8c293b812b1c77da8ab5daf7f441c92e5b"
